Package org.eclipse.birt.chart.model.component

# Interface ChartPreferences

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ChartPreferencesImpl`

@Deprecated public interface ChartPreferences extends IChartObject
Deprecated.
only reserved for compatibility
A representation of the model object 'Chart Preferences'. This type defines the global chart preferences.

The following features are supported:

- `Labels`
- `Blocks`

See Also:
  - `ComponentPackage.getChartPreferences()`

## Method Summary

Modifier and Type
Method
Description
`ChartPreferences`
`copyInstance()`
Deprecated.
`org.eclipse.emf.common.util.EList<Block>`
`getBlocks()`
Deprecated.
Returns the value of the 'Blocks' containment reference list.
`org.eclipse.emf.common.util.EList<Label>`
`getLabels()`
Deprecated.
Returns the value of the 'Labels' containment reference list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLabels

org.eclipse.emf.common.util.EList<Label> getLabels()
Deprecated.
Returns the value of the 'Labels' containment reference list. The list contents are of type `Label`. A collection of labels holding preferences for the various labels used in a chart.

Returns:
  the value of the 'Labels' containment reference list.
See Also:
  - `ComponentPackage.getChartPreferences_Labels()`

### getBlocks

org.eclipse.emf.common.util.EList<Block> getBlocks()
Deprecated.
Returns the value of the 'Blocks' containment reference list. The list contents are of type `Block`. A collection of blocks holding preferences for the different blocks used in a chart.

Returns:
  the value of the 'Blocks' containment reference list.
See Also:
  - `ComponentPackage.getChartPreferences_Blocks()`

### copyInstance

ChartPreferences copyInstance()
Deprecated.

Specified by:
  `copyInstance` in interface `IChartObject`